Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::FileChooserOpenDialog Class Reference

A GtkFileChooserDialog "File/Open" C++ wrapper class. More...

`#include <xfc/gtk/filechooserdialog.hh>`

Inheritance diagram for Xfc::Gtk::FileChooserOpenDialog:

List of all members.

## Public Member Functions

Constructors

- FileChooserOpenDialog (Window *parent=0)
    Constructs a new "File/Open" FileChooserDialog with the title "Open...".
- FileChooserOpenDialog (const String &title, Window *parent=0)
    Constructs a new "File/Open" FileChooserDialog.
- virtual ~FileChooserOpenDialog ()
    Destructor.

## Detailed Description

A GtkFileChooserDialog "File/Open" C++ wrapper class.

FileChooserOpenDialog is a dialog box suitable for use with "File/Open" commands. To add buttons to the dialog call Gtk::Dialog::add_button().

See also: the File Chooser HOWTO and the file chooser example in the <tests/filechooser> suddirectory.

## Constructor & Destructor Documentation

Xfc::Gtk::FileChooserOpenDialog::FileChooserOpenDialog | ( | Window * | parent = `0` | ) |

Constructs a new "File/Open" FileChooserDialog with the title "Open...".

Parameters:

  | parent | The transient parent of the dialog, or null.

Xfc::Gtk::FileChooserOpenDialog::FileChooserOpenDialog | ( | const String & | title,
|  | Window * | parent = `0`
| ) |

Constructs a new "File/Open" FileChooserDialog.

Parameters:

  | title | The title of the dialog, or null.
  | parent | The transient parent of the dialog.

The documentation for this class was generated from the following file:

- filechooserdialog.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3